Package org.apache.sling.rewriter

## Interface ProcessorConfiguration

All Known Subinterfaces:
  `PipelineConfiguration`

    public interface ProcessorConfiguration

Configuration of a processor.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,​Object>` `getConfiguration()` Return the configuration for this component.
`String` `getType()` The name/type of the component.
`boolean` `match​(ProcessingContext context)` Check if this processor configuration matches for the current request.

### Method Detail

#### getType

    String getType()

The name/type of the component.

Returns:
  A unique name for this component.

#### getConfiguration

    Map<String,​Object> getConfiguration()

Return the configuration for this component.

Returns:
  The configuration for this component or an empty map if there is none.

#### match

    boolean match​(ProcessingContext context)

Check if this processor configuration matches for the current request.

Parameters:
  `context` - the processing context
Returns:
  true or false